/****************************************************************************
**
** Copyright (C) 2003-2006 Frank Hemer <frank@hemer.org>
**
*****************************************************************************/

#include <qapplication.h>
#include <qpushbutton.h>
#include <qlineedit.h>
#include <qlabel.h>

#include "PwWindow.h"

PwWindow::PwWindow()
: PwWindowBase()
{
   setCaption(tr("SSH Passphrase Dialog"));
   if (qApp->argc() > 0) {
      Label->setText(qApp->argv()[1]);
   }
   show();
}

void PwWindow::done() {
   QString txt = PwEdit->text();
   fputs(txt.ascii(), stdout);
   fputc('\n', stdout);
   accept();
}

